WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000328WeBidEmailpublic2011-09-03 10:412015-04-01 17:10
Reporterphasar 
Assigned To 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.0.3 
Target VersionFixed in Version1.1.0 
Summary0000328: Your auction has ended with no winner Emails
DescriptionThe "Your auction has ended with no winner" emails send the details of the auction and a link, but do not send the photo. Only the standard "no image" image.



It should be the same as the "Your item has been listed" email, and show the thumb image that was uploaded with the auction
TagsNo tags attached.
import_id330
Thread
Attached Files

- Relationships

-  Notes
(0000826)
Pleb (reporter)
2011-09-03 11:57
edited on: 2011-09-03 12:03

try this index.php

change
[PHP]include 'includes/common.inc.php';
include $main_path . 'language/' . $language . '/categories.inc.php';[/PHP]

to
[PHP]include $_SERVER['DOCUMENT_ROOT'] . '/WeBid/includes/common.inc.php';
include $main_path . 'language/' . $language . '/categories.inc.php';[/PHP]

WeBid or what you call your folder

create completely new auction, see if it works, :-)
(0000827)
phasar (reporter)
2011-09-03 13:37
edited on: 1970-01-01 00:00

It doesn't load at all after that change
(0000828)
Pleb (reporter)
2011-09-03 17:45
edited on: 1970-01-01 00:00

what dosenĀ“t load ?
(0000829)
phasar (reporter)
2011-09-03 19:12
edited on: 1970-01-01 00:00

the index page. i get a 500 error. so i deleted it and wet to the backup of the index.php file'
(0000830)
Pleb (reporter)
2011-09-03 19:29
edited on: 2011-09-03 19:30

i use the code here. bu my folder is named auktion

like this
include $_SERVER['DOCUMENT_ROOT'] . '/auktion/includes/common.inc.php';

so renamed it to WeBid. just type your folder name you have there.
(0000821)
phasar (reporter)
2011-09-03 21:48
edited on: 2011-09-03 21:49

I cut n pasted it..

The index.php stopped loading

I even tried several variations
(0000822)
Pleb (reporter)
2011-09-04 11:14
edited on: 1970-01-01 00:00

what is the path to your webid instalation ?
(0000820)
Pleb (reporter)
2011-09-04 15:17
edited on: 1970-01-01 00:00

Try this.
[PHP]<?php
/***************************************************************************
 * copyright : (C) 2008, 2009 WeBid
 * site : http://www.webidsupport.com/ [^]
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version. Although none of the code may be
 * sold. If you have been sold this script, get a refund.
 ***************************************************************************/

include $_SERVER['DOCUMENT_ROOT'] . '/webid/includes/common.inc.php';

include $main_path . 'language/' . $language . '/categories.inc.php';

// Run cron according to SETTINGS
if ($system->SETTINGS['cron'] == 2)
{
    include_once 'cron.php';
}

if ($system->SETTINGS['loginbox'] == 1 && $system->SETTINGS['https'] == 'y' && $_SERVER['HTTPS'] != 'on')
{
    $sslurl = str_replace('http://', [^] 'https://', [^] $system->SETTINGS['siteurl']);
    $sslurl = (!empty($system->SETTINGS['https_url'])) ? $system->SETTINGS['https_url'] : $sslurl;
    header('Location: ' . $sslurl . 'index.php');
    exit;
}

$NOW = time();

function ShowFlags()
{
    global $system, $LANGUAGES;
    $counter = 0;
    $flags = '';
    foreach ($LANGUAGES as $lang => $value)
    {
        if ($counter > 3)
        {
            $flags .= '
';
            $counter = 0;
        }
$flags .= '<a href="?lan=' . $lang . '"><img vspace="2" hspace="2" src="' . $system->SETTINGS['siteurl'] . 'includes/flags/' . $lang . '.gif" border="0" alt="' . $lang . '"> </a>';
        $counter++;
    }
    return $flags;
}

// prepare categories list for templates/template
// Prepare categories sorting
if ($system->SETTINGS['catsorting'] == 'alpha')
{
    $catsorting = ' ORDER BY cat_name ASC';
}
else
{
    $catsorting = ' ORDER BY sub_counter DESC';
}

$query = "SELECT cat_id FROM " . $DBPrefix . "categories WHERE parent_id = -1";
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);

$query = "SELECT * FROM " . $DBPrefix . "categories
          WHERE parent_id = " . mysql_result($res, 0) . "
          " . $catsorting . "
          LIMIT " . $system->SETTINGS['catstoshow'];
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);

while ($row = mysql_fetch_assoc($res))
{
    $template->assign_block_vars('cat_list', array(
            'CATAUCNUM' => ($row['sub_counter'] != 0) ? '(' . $row['sub_counter'] . ')' : '',
            'ID' => $row['cat_id'],
            'IMAGE' => (!empty($row['cat_image'])) ? '<img src="' . $row['cat_image'] . '" border=0>' : '',
            'COLOUR' => (empty($row['cat_colour'])) ? '#FFFFFF' : $row['cat_colour'],
            'NAME' => $category_names[$row['cat_id']]
            ));
}
// get hot items
$query = "SELECT a.id, a.title, a.current_bid, a.pict_url, a.ends, a.num_bids, a.minimum_bid
        FROM " . $DBPrefix . "auctions a
        LEFT JOIN " . $DBPrefix . "auccounter c ON (a.id = c.auction_id)
        WHERE closed = 0 AND suspended = 0 AND starts <= " . $NOW . "
        ORDER BY c.counter DESC LIMIT " . $system->SETTINGS['hotitemsnumber'];
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);

$i = 0;
while ($row = mysql_fetch_assoc($res))
{
    $i++;
    $ends = $row['ends'];
    $difference = $ends - time();
    if ($difference > 0)
    {
        $ends_string = FormatTimeLeft($difference);
    }
    else
    {
        $ends_string = $MSG['911'];
    }
    $high_bid = ($row['num_bids'] == 0) ? $row['minimum_bid'] : $row['current_bid'];
    $template->assign_block_vars('hotitems', array(
            'ENDS' => $ends_string,
            'ID' => $row['id'],
            'BID' => $system->print_money($high_bid),
            'IMAGE' => (!empty($row['pict_url'])) ? 'getthumb.php?w=' . $system->SETTINGS['thumb_show'] . '&fromfile=' . $uploaded_path . $row['id'] . '/' . $row['pict_url'] : 'images/email_alerts/default_item_img.jpg',
            'TITLE' => $row['title']
            ));
}
$hot_items = ($i > 0) ? true : false;

// get featured items
$query = "SELECT id, title, current_bid, pict_url, ends, num_bids, minimum_bid, bn_only, buy_now
        FROM " . $DBPrefix . "auctions
        WHERE closed = 0 AND suspended = 0 AND starts <= " . $NOW . "
        AND featured = 'y'
        ORDER BY RAND() DESC LIMIT 12";
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);
while($row = mysql_fetch_assoc($res))
{
    $ends = $row['ends'];
    $difference = $ends - time();
    if ($difference > 0)
    {
        $ends_string = FormatTimeLeft($difference);
    }
    else
    {
        $ends_string = $MSG['911'];
    }
    if ($row['buy_now'] > 0 && $row['bn_only'] == 'n' && ($row['num_bids'] == 0 || ($row['reserve_price'] > 0 && $row['current_bid'] < $row['reserve_price'])))
{
$row['buy_now'] = '   <a href="' . $system->SETTINGS['siteurl'] . 'buy_now.php?id=' . $row['id'] . '"><hr><button type="submit">' . $MSG['496'] . '</button></a>
' . $system->print_money($row['buy_now']) . ' ';
}
elseif ($row['buy_now'] > 0 && $row['bn_only'] == 'y')
{
$row['current_bid'] = $row['buy_now'];
$row['buy_now'] = '   <a href="' . $system->SETTINGS['siteurl'] . 'buy_now.php?id=' . $row['id'] . '"><hr><button type="submit">' . $MSG['496'] . '</button></a>
' . $system->print_money($row['buy_now']) . ' ';
}
else
{
$row['buy_now'] = '';
}
    $high_bid = ($row['num_bids'] == 0) ? $row['minimum_bid'] : $row['current_bid'];
    $high_bid = ($row['bn_only'] == 'y') ? $row['buy_now'] : $high_bid;
    $template->assign_block_vars('featured', array(
            'ENDS' => $ends_string,
            'ID' => $row['id'],
            'BID' => $system->print_money($high_bid),
            'BUY_NOW' => ($difference < 0) ? '' : $row['buy_now'],
            'IMAGE' => (!empty($row['pict_url'])) ? 'getthumb.php?w=' . $system->SETTINGS['thumb_show'] . '&fromfile=' . $uploaded_path . $row['id'] . '/' . $row['pict_url'] : 'images/email_alerts/default_item_img.jpg',
            'TITLE' => $row['title']
            ));
}

// get last created auctions
$query = "SELECT id, title, current_bid, pict_url, ends, num_bids, minimum_bid, bn_only, buy_now, starts from " . $DBPrefix . "auctions
         WHERE closed = 0 AND suspended = 0
         AND starts <= " . $NOW . "
         ORDER BY starts DESC
         LIMIT " . $system->SETTINGS['lastitemsnumber'];
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);

$i = 0;
while ($row = mysql_fetch_assoc($res))
{
$high_bid = ($row['num_bids'] == 0) ? $row['minimum_bid'] : $row['current_bid'];
$high_bid = ($row['bn_only'] == 'y') ? $row['buy_now'] : $high_bid;
    $template->assign_block_vars('auc_last', array(
            'BGCOLOUR' => (!($i % 2)) ? '' : 'class="alt-row"',
            'DATE' => ArrangeDateNoCorrection($row['starts'] + $system->tdiff),
            'ID' => $row['id'],
            'BID' => $system->print_money($high_bid),
            'IMAGE' => (!empty($row['pict_url'])) ? 'getthumb.php?w=' . $system->SETTINGS['thumb_show'] . '&fromfile=' . $uploaded_path . $row['id'] . '/' . $row['pict_url'] : 'images/email_alerts/default_item_img.jpg',
            'TITLE' => $row['title']
            ));
    $i++;
}

$auc_last = ($i > 0) ? true : false;
// get ending soon auctions
$query = "SELECT id, title, current_bid, pict_url, ends, num_bids, minimum_bid, bn_only, buy_now, starts from " . $DBPrefix . "auctions
WHERE closed = 0 AND suspended = 0 AND starts <= " . $NOW . "
ORDER BY ends LIMIT " . $system->SETTINGS['endingsoonnumber'];
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);

$i = 0;
while ($row = mysql_fetch_assoc($res))
{
$high_bid = ($row['num_bids'] == 0) ? $row['minimum_bid'] : $row['current_bid'];
$high_bid = ($row['bn_only'] == 'y') ? $row['buy_now'] : $high_bid;
$difference = $row['ends'] - time();
if ($difference > 0)
{
$ends_string = FormatTimeLeft($difference);
}
else
{
$ends_string = $MSG['911'];
}
$template->assign_block_vars('end_soon', array(
                'BGCOLOUR' => (!($i % 2)) ? '' : 'class="alt-row"',
                'DATE' => $ends_string,
                'ID' => $row['id'],
                'BID' => $system->print_money($high_bid),
                'IMAGE' => (!empty($row['pict_url'])) ? 'getthumb.php?w=' . $system->SETTINGS['thumb_show'] . '&fromfile=' . $uploaded_path . $row['id'] . '/' . $row['pict_url'] : 'images/email_alerts/default_item_img.jpg',
                'TITLE' => $row['title']
));
$i++;
}

$end_soon = ($i > 0) ? true : false;

$hot_items = ($i > 0) ? true : false;


// Build list of help topics
$query = "SELECT id, category FROM " . $DBPrefix . "faqscat_translated WHERE lang = '" . $language . "' ORDER BY category ASC";
$res = mysql_query($query);
$system->check_mysql($res, $query, __LINE__, __FILE__);
$i = 0;
while ($faqscat = mysql_fetch_assoc($res))
{
    $template->assign_block_vars('helpbox', array(
            'ID' => $faqscat['id'],
            'TITLE' => $faqscat['category']
            ));
    $i++;
}

$helpbox = ($i > 0) ? true : false;
// Build news list
if ($system->SETTINGS['newsbox'] == 1)
{
    $query = "SELECT n.title As t, n.new_date, t.* FROM " . $DBPrefix . "news n
            LEFT JOIN " . $DBPrefix . "news_translated t ON (t.id = n.id)
            WHERE t.lang = '" . $language . "' AND n.suspended = 0
            ORDER BY new_date DESC, id DESC LIMIT " . $system->SETTINGS['newstoshow'];
    $res = mysql_query($query);
    $system->check_mysql($res, $query, __LINE__, __FILE__);
    while ($new = mysql_fetch_assoc($res))
    {
        $template->assign_block_vars('newsbox', array(
                'ID' => $new['id'],
                'DATE' => FormatDate($new['new_date']),
                'TITLE' => (!empty($new['title'])) ? $new['title'] : $new['t']
                ));
    }
}

$template->assign_vars(array(
        'FLAGS' => ShowFlags(),

        'B_AUC_LAST' => $auc_last,
        'B_HOT_ITEMS' => $hot_items,
        'B_AUC_ENDSOON' => $end_soon,
        'B_HELPBOX' => ($helpbox && $system->SETTINGS['helpbox'] == 1),
        'B_MULT_LANGS' => (count($LANGUAGES) > 1),
        'B_LOGIN_BOX' => ($system->SETTINGS['loginbox'] == 1),
        'B_NEWS_BOX' => ($system->SETTINGS['newsbox'] == 1)
        ));

include 'header.php';
$template->set_filenames(array(
        'body' => 'home.tpl'
        ));
$template->display('body');
include 'footer.php';

unset($_SESSION['loginerror']);
?>
[/PHP]
(0000861)
phasar (reporter)
2011-10-01 08:52
edited on: 1970-01-01 00:00

where's the change?

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 330
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2011-09-03 10:41
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2012-12-12 16:50
2015-04-01 17:10 renlok File Added: entities-in-account-confirmation.patch


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker